#!/usr/bin/perl

use strict;
use Device::SerialPort;

# VA|[g
my $cr = tie (*FH, 'Device::SerialPort', "/dev/ttyUSB0") || die "Can't tie: $!";
$cr->baudrate(115200);
$cr->databits(8);
$cr->parity("none");
$cr->stopbits(1);

my @list;

while(1) {

    # f[^M
    my $serial = $cr->lookfor();

    if($serial) {
        # Mf[^`
        chomp $serial;
        @list = split(/ +/, $serial);
        if($list[1] =~ /\d/) {
            #print "$list[4], $list[5]\n";
            my $so = $list[4]  / 1000;
            #my $co = $list[5] / (1000 *0.9*0.4) ;

            # Mf[^o
            print "$so\n";
            last;
        }
    }
}

